<?php
include("cp_header.php");
/**************************************************صفحة عرض الصفحات والتى يجب تعديلها لتحسن السيو*********************************************************************/

//الحماية من الحقن
if(!isset($_GET['search'])){ die(); };

injection($_GET['search']);
/*  اسم الجدول وبداية الكويرى */  
$table='pages_desc';

$comp_arr=array();
//بداية الاستعلام
$query="select id,title from companies order by id asc ";
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$first_comp='';

   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch); 
if($first_comp==''){$first_comp=$fetch['id'];}//تحديد اول عنصر فى قائمة الشركات

$comp_arr[$fetch['id']]=$fetch['title'];
}


//استعلام لتحديد العدد الكلى للسجلات

//بداية الاستعلام
$query="select count(id) from $table";		


//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);

//استخراج النتائج
$fetch=mysqli_fetch_row($result);

//تحديد عدد الصفوف
$num_rows=$fetch[0];
?>

<!-- /////////// -->
<div style="visibility:hidden" id="table_name"><?php echo $table?></div>
<div id="load_page" style="display:none">load_<?php echo $table?>_search</div>
<input type="hidden" id="active_page" value="active_<?php  echo $table; ?>" />


<!-- /////////// -->
<div id="cp_cont">
<div id="show_user_details"></div>
<div id="cp_title"> تعديل seo الصفحات  (<span id="num_rows"><?php echo $num_rows; ?></span>)
</div>	

<div class="search_div">




	<div id="save_tr" ></div>
</div>	



<div id="result_limit">

<div id="news_cont">
<div id="load_wait"></div>
<div id="result_view">
	
<table   cellpadding="0" cellspacing="0" width="988"  dir="rtl"  style="border-left:solid 1px #ccc" >
<tr class='first_table_tr'>
<td align="center" width='20'>الصورة</td>
<td align="center" style='display:none;'>اسم الصفحة</td>
<td align="center" >عنوان الصفحة</td>
<td width="15" align="center">تعديل</td>
<td width="15" align="center">تفاصيل</td>	

</tr>	
	
	
<?php


//بداية الاستعلام
$query="select id,page_title,page_name,menu,active,sort,created,modified,user_created,user_modified,priority from $table where  user_create=0 order by  menu asc ,sort asc, id asc ";	

//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);




   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
	

			
	
	

echo"<tr  tr_id='$fetch[id]' priority='$fetch[priority]' arrang='$fetch[sort]' id='tr$fetch[id]' class='table_tr'>";
echo"<td align='center'>
<img loading='lazy' class='view_image' width='25' height='25'  src='../img/pages_desc/img".$fetch['id']."_tiny.webp?time=".time()."' />
</td>";
echo"<td style='display:none;'><div>$fetch[page_name]</div></td>";
echo"<td><div>$fetch[page_title]</div></td>";


echo"<td align='center'><a class='edit_page' alt'$fetch[id]' href='edit_pages_desc.php?id=$fetch[id]'><img loading='lazy' a src='../img/edit.png'></td>";
echo"<td align='center'><a table='$table' class='show_details' created='$fetch[created]' modified='$fetch[modified]' user_created='$fetch[user_created]' user_modified='$fetch[user_modified]'  alt='$fetch[id]'><img loading='lazy' src='../img/details.png'></td>";


echo"</tr>";
}	
?>
</table>
</div>

<div style='display:none' id='done_load'>done</div>
</div>
</div>	


</div>

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>